Package com.sun.jna.platform

# Class FileUtils

java.lang.Object
com.sun.jna.platform.FileUtils

Direct Known Subclasses:
  `MacFileUtils`, `W32FileUtils`

public abstract class FileUtils extends Object
Miscellaneous file utils not provided for by Java.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileUtils`
  `getInstance()`
  `boolean`
  `hasTrash()`
  `abstract void`
  `moveToTrash(File... files)`
  Move the given file to the system trash, if one is available.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileUtils

    public FileUtils()

- ## Method Details

  - ### hasTrash

    public boolean hasTrash()

  - ### moveToTrash

    public abstract void moveToTrash(File... files) throws IOException
    Move the given file to the system trash, if one is available.
    Parameters:
      `files` - files to move
    Throws:
      `IOException` - on failure.

  - ### getInstance

    public static FileUtils getInstance()